SIMATIC S7 MatLab Toolbox

Public Member Functions | Public Attributes | List of all members
PlcInt32 Class Reference

Represents an int32 value (in PLC a DINT) its value defines a 32-bit signed integer value. More...

Inheritance diagram for PlcInt32:

## Public Member Functions
function | PlcInt32 (in address, in value)
| Initializes a new instance of the PlcInt32 class using the specified address and value. More...
function get | Value (in this)
| Gets the value assigned to the PLC value.
function set | Value (in this, in value)
| Sets the value assigned to the PLC value.
Public Member Functions inherited from PlcValue
function get | Address (in this)
| Gets the address of the PLC value.
function | GetValue (in this, in source)
| Retrieves the current value of the PLC value from the source specified. More...
function | IsValidType (in this, in value)
| Determines whether a specified value is acceptable for this PlcValue. More...
function | IsValidValue (in this, in value)
| Determines whether the provided value is accepted for the type of PLC value through basic type checking and also potentially if it is within the allowed range of value for that type. More...
function | SetValue (in this, in target, in value)
| Stores the value in the target specified. More...

## Public Attributes
Property | Value
| Gets or sets the value assigned to the PLC value. The value assigned to the PLC value.
Public Attributes inherited from PlcValue
Property | Address
| Gets the address of the PLC value. The PlcAddress used by the PLC value.
Property | Value
| Gets or sets the value assigned to the PLC value. The value assigned to the PLC value.
Property | ManagedInstance
| This property is not intended to be used outside of the toolbox.

## Additional Inherited Members
Protected Member Functions inherited from PlcValue
function | PlcValue (in typeCode, in address, in length, in value)
| Initializes a new instance of the PlcValue class. More...

## Detailed Description

Represents an int32 value (in PLC a DINT) its value defines a 32-bit signed integer value.

## Constructor & Destructor Documentation

## ◆ PlcInt32()

function PlcInt32::PlcInt32 | ( | in | address,
|  | in | value
| ) |  |

Initializes a new instance of the PlcInt32 class using the specified address and value.

Parameters

  address | The PlcAddress of the new PlcInt32 to which the PLC value belongs.
  value | The initial value of the new PlcInt32.

Errors

- The address does not refer to the PlcRawType.DWord.

The documentation for this class was generated from the following file:

- PlcInt32.m